import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is a white blood cell. This kind of cell has the job to catch 
 * bacteria and remove them from the blood.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class SpaceShip extends Actor
{
    private int score;
    private int speed; 
    public SpaceShip()
    {

    }

    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
    }

    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-4);
            speed = 8;
        }
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+4);
            speed = 8;
        }
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
            speed = 4;
        }
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
            speed = 4; 
        }

    }

    private void checkCollision()
    {
        if( isTouching(Energy.class))
        {
            removeTouching(Energy.class);
            Greenfoot.playSound("shine.wav");
            Space bloodstream = (Space)getWorld();
            bloodstream.addScore(20);
        }
        if( isTouching(Meteorite.class))
        {
            removeTouching(Meteorite.class);
            Greenfoot.playSound("explosion.wav");
            Space bloodstream = (Space)getWorld();
            bloodstream.addScore(-100);
        }
    } 

}
